net.sourceforge.pmd.dfa

## Class AcceptanceTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.dfa.AcceptanceTest

    public class AcceptanceTest
    extends ParserTst

### Field Summary

Fields
`static String` `TEST10`
`static String` `TEST11`
`static String` `TEST12`
`static String` `TEST13`
`static String` `TEST14`
`static String` `TEST15`
`static String` `TEST16`
`static String` `TEST17`
`static String` `TEST18`
`static String` `TEST19`
`static String` `TEST20`
`static String` `TEST21`
`static String` `TEST22`
`static String` `TEST23`
`static String` `TEST24`
`static String` `TEST25`
`static String` `TEST26`
`static String` `TEST27`
`static String` `TEST28`
`static String` `TEST29`
`static String` `TEST30`
`static String` `TEST8`
`static String` `TEST9`

### Constructor Summary

Constructors
Constructor and Description
`AcceptanceTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `test_1()`
`void` `test_10()`
`void` `test_11()`
`void` `test_12()`
`void` `test_13()`
`void` `test_14()`
`void` `test_15()`
`void` `test_16()`
`void` `test_17()`
`void` `test_18()`
`void` `test_19()`
`void` `test_2()`
`void` `test_20()`
`void` `test_21()`
`void` `test_22()`
`void` `test_23()`
`void` `test_24()`
`void` `test_25()`
`void` `test_26()`
`void` `test_27()`
`void` `test_28()`
`void` `test_29()`
`void` `test_3()`
`void` `test_30()`
`void` `test_4()`
`void` `test_6()`
`void` `test_7()`
`void` `test_8()`
`void` `test_9()`
`void` `testbook()`
`void` `testLabelledBreakLockup()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEST8

    public static final String TEST8

#### TEST9

    public static final String TEST9

#### TEST10

    public static final String TEST10

#### TEST11

    public static final String TEST11

#### TEST12

    public static final String TEST12

#### TEST13

    public static final String TEST13

#### TEST14

    public static final String TEST14

#### TEST15

    public static final String TEST15

#### TEST16

    public static final String TEST16

#### TEST17

    public static final String TEST17

#### TEST18

    public static final String TEST18

#### TEST19

    public static final String TEST19

#### TEST20

    public static final String TEST20

#### TEST21

    public static final String TEST21

#### TEST22

    public static final String TEST22

#### TEST23

    public static final String TEST23

#### TEST24

    public static final String TEST24

#### TEST25

    public static final String TEST25

#### TEST26

    public static final String TEST26

#### TEST27

    public static final String TEST27

#### TEST28

    public static final String TEST28

#### TEST29

    public static final String TEST29

#### TEST30

    public static final String TEST30

### Constructor Detail

#### AcceptanceTest

    public AcceptanceTest()

### Method Detail

#### testbook

    public void testbook()
                  throws Throwable

Throws:
  `Throwable`

#### testLabelledBreakLockup

    public void testLabelledBreakLockup()
                                 throws Throwable

Throws:
  `Throwable`

#### test_1

    public void test_1()
                throws Throwable

Throws:
  `Throwable`

#### test_2

    public void test_2()
                throws Throwable

Throws:
  `Throwable`

#### test_3

    public void test_3()
                throws Throwable

Throws:
  `Throwable`

#### test_4

    public void test_4()
                throws Throwable

Throws:
  `Throwable`

#### test_6

    public void test_6()
                throws Throwable

Throws:
  `Throwable`

#### test_7

    public void test_7()
                throws Throwable

Throws:
  `Throwable`

#### test_8

    public void test_8()
                throws Throwable

Throws:
  `Throwable`

#### test_9

    public void test_9()
                throws Throwable

Throws:
  `Throwable`

#### test_10

    public void test_10()
                 throws Throwable

Throws:
  `Throwable`

#### test_11

    public void test_11()
                 throws Throwable

Throws:
  `Throwable`

#### test_12

    public void test_12()
                 throws Throwable

Throws:
  `Throwable`

#### test_13

    public void test_13()
                 throws Throwable

Throws:
  `Throwable`

#### test_14

    public void test_14()
                 throws Throwable

Throws:
  `Throwable`

#### test_15

    public void test_15()
                 throws Throwable

Throws:
  `Throwable`

#### test_16

    public void test_16()
                 throws Throwable

Throws:
  `Throwable`

#### test_17

    public void test_17()
                 throws Throwable

Throws:
  `Throwable`

#### test_18

    public void test_18()
                 throws Throwable

Throws:
  `Throwable`

#### test_19

    public void test_19()
                 throws Throwable

Throws:
  `Throwable`

#### test_20

    public void test_20()
                 throws Throwable

Throws:
  `Throwable`

#### test_21

    public void test_21()
                 throws Throwable

Throws:
  `Throwable`

#### test_22

    public void test_22()
                 throws Throwable

Throws:
  `Throwable`

#### test_23

    public void test_23()
                 throws Throwable

Throws:
  `Throwable`

#### test_24

    public void test_24()
                 throws Throwable

Throws:
  `Throwable`

#### test_25

    public void test_25()
                 throws Throwable

Throws:
  `Throwable`

#### test_26

    public void test_26()
                 throws Throwable

Throws:
  `Throwable`

#### test_27

    public void test_27()
                 throws Throwable

Throws:
  `Throwable`

#### test_28

    public void test_28()
                 throws Throwable

Throws:
  `Throwable`

#### test_29

    public void test_29()
                 throws Throwable

Throws:
  `Throwable`

#### test_30

    public void test_30()
                 throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()